OuterJoinRecordReader (Hadoop 0.20.2+320 API)
Date: 2010-06-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.join
Class OuterJoinRecordReader<K extends WritableComparable>

    java.lang.Object
      org.apache.hadoop.mapred.join.CompositeRecordReader<K,Writable,TupleWritable>
          org.apache.hadoop.mapred.join.JoinRecordReader<K>
              org.apache.hadoop.mapred.join.OuterJoinRecordReader<K>

All Implemented Interfaces:
  Comparable<ComposableRecordReader<K,?>>, Configurable, ComposableRecordReader<K,TupleWritable>, RecordReader<K,TupleWritable>

    public class OuterJoinRecordReader<K extends WritableComparable>

extends JoinRecordReader<K>

Full outer join.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.join.JoinRecordReader
`JoinRecordReader.JoinDelegationIterator`

Field Summary

Fields inherited from class org.apache.hadoop.mapred.join.CompositeRecordReader
`jc, kids`

Method Summary
`protected boolean` | `combine(Object[] srcs, TupleWritable dst)` Emit everything from the collector.

Methods inherited from class org.apache.hadoop.mapred.join.JoinRecordReader
`createValue, getDelegate, next`

Methods inherited from class org.apache.hadoop.mapred.join.CompositeRecordReader
`accept, add, close, compareTo, createInternalValue, createKey, fillJoinCollector, getComparator, getConf, getPos, getProgress, getRecordReaderQueue, hasNext, id, key, key, setConf, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.join.ComposableRecordReader
`accept, hasNext, id, key, key, skip`

Methods inherited from interface org.apache.hadoop.mapred.RecordReader
`close, createKey, getPos, getProgress`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### combine

    protected boolean combine(Object[] srcs,
                              TupleWritable dst)

  Emit everything from the collector.

  Specified by:
    `combine` in class `CompositeRecordReader<K extends WritableComparable,Writable,TupleWritable>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation